Subject: bug#76035: Gnus: obsoleting picons support?

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Feb 2025 16:52:09 +0000

Colin Baxter <[email-masked]> writes:

>     > I used to use it personally, but stopped a decade ago. I am in
>     > favor of obsoleting it (although there might always be someone out
>     > there who is using it).

Thanks, that's some data at least.

> Sorry to be dim, but what does making picons obsolete actually mean?
> Will functions such as gnus-picons-installed-p, gnus-treat-from-picon,
> gnus-treat-mail-picon, gnus-treat-newsgroups-picon, etc be removed?

They will be marked as obsolete, which means they are due for removal at
some point in the future.  This is normally after 10 years, give or take.